## com.arsdigita.bookmarks.ui
Class BookmarkEditPane

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.SimpleContainer
                          com.arsdigita.bebop.SplitPanel
                              com.arsdigita.bebop.SplitWizard
                                  com.arsdigita.bebop.DynamicListWizard
                                      com.arsdigita.bookmarks.ui.BookmarkEditPane

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, com.arsdigita.util.Lockable, com.arsdigita.bebop.Resettable

public class BookmarkEditPane
extends com.arsdigita.bebop.DynamicListWizard

Experimental

Author:
  Jim Parsons

Nested Class Summary
`class` `BookmarkEditPane.DeleteForm`
`class` `BookmarkEditPane.EditBookmarkForm`

Nested classes inherited from class com.arsdigita.bebop.SplitWizard
`com.arsdigita.bebop.SplitWizard.HeaderPanel`

Field Summary
`static String` `EVENT_SWAP_DOWN`
`static String` `EVENT_SWAP_UP`

Fields inherited from class com.arsdigita.bebop.DynamicListWizard
`CURRENT_PANE, versionId`

Fields inherited from class com.arsdigita.bebop.SplitPanel
`BORDER`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`BookmarkEditPane()`

Method Summary
`void` `respond(com.arsdigita.bebop.PageState state)`

Methods inherited from class com.arsdigita.bebop.DynamicListWizard
`getAddLink, getAddPane, getEditPane, getList, getListingComponent, getListLabel, layoutComponents, reset, setAddPane, setEditPane`

Methods inherited from class com.arsdigita.bebop.SplitWizard
`getDefaultPane, getSelectionModel, getSelector, setDefaultPane, setSelectionModel, setSelector`

Methods inherited from class com.arsdigita.bebop.SplitPanel
`generateXML, getBorder, getDivider, getHeader, getLeftComponent, getRightComponent, lock, setBorder, setDivider, setHeader, setLeftComponent, setRightComponent`

Methods inherited from class com.arsdigita.bebop.SimpleContainer
`add, add, children, contains, generateChildrenXML, generateParent, get, getNamespace, getTag, indexOf, isEmpty, setNamespace, setTag, size`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### EVENT_SWAP_UP

    public static final String EVENT_SWAP_UP

See Also:
  Constant Field Values

### EVENT_SWAP_DOWN

    public static final String EVENT_SWAP_DOWN

See Also:
  Constant Field Values

Constructor Detail

### BookmarkEditPane

    public BookmarkEditPane()

Method Detail

### respond

    public void respond(com.arsdigita.bebop.PageState state)
                 throws ServletException

  Throws:
    `ServletException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC